Key

Get merge keys data

Returns a paginated list of source keys for merging two stories, comparing translations for a specific language. Status: 1 = only in from-story, 2 = in both (different values), 3 = only in to-story.

GET
/api/v2/keys/merge

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Query Parameters

sourceStoryId*integer

Source story ID (from-story)

targetStoryId*integer

Target story ID (to-story)

languageId*integer

Language ID

limit?integer

Pagination limit

Default10
offset?integer

Pagination offset

Default0
status?integer

Filter by merge status (1 = from-story only, 2 = both stories, 3 = to-story only)

Value in

  • 1
  • 2
  • 3
name?string

Filter by source name or destination (case-insensitive)

destination?string

Filter by destination value (case-insensitive)

fulltextSearch?string

Full-text search across name and destinations

categoryId?integer

Filter by category ID

sort?string

Sort field. Options: name, -name, status, -status, createdAt, -createdAt

createdAt?string

Filter by creation date range (format: yyyy-mm-dd:yyyy-mm-dd)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/keys/merge?sourceStoryId=1&targetStoryId=2&languageId=1&limit=10&offset=0&sort=name&createdAt=2024-01-01%3A2024-12-31"
{  "data": [    {      "id": 123,      "name": "key_name",      "projectTypeId": 3,      "categoryId": 5,      "fromStoryDestination": "Value A",      "fromStoryDestinationType": 0,      "toStoryDestination": "Value B",      "toStoryDestinationType": 0,      "status": 2,      "createdAt": "2024-01-15 10:30:00",      "deletedAt": null    }  ],  "pagination": {    "maxCount": 100  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}